G_BEGIN_DECLS

typedef void (*tf_future_cli_call_content_signal_callback_removed) (TfFutureCallContent *proxy,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_connect_to_removed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_signal_callback_removed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_signal_callback_streams_added) (TfFutureCallContent *proxy,
    const GPtrArray *arg_Streams,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_connect_to_streams_added (TfFutureCallContent *proxy,
    tf_future_cli_call_content_signal_callback_streams_added callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_signal_callback_streams_removed) (TfFutureCallContent *proxy,
    const GPtrArray *arg_Streams,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_connect_to_streams_removed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_signal_callback_streams_removed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_callback_for_remove) (TfFutureCallContent *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_call_remove (TfFutureCallContent *proxy,
    gint timeout_ms,
    guint in_Reason,
    const gchar *in_Detailed_Removal_Reason,
    const gchar *in_Message,
    tf_future_cli_call_content_callback_for_remove callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_content_interface_audio_control_callback_for_report_input_volume) (TfFutureCallContent *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_interface_audio_control_call_report_input_volume (TfFutureCallContent *proxy,
    gint timeout_ms,
    gint in_Volume,
    tf_future_cli_call_content_interface_audio_control_callback_for_report_input_volume callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_content_interface_audio_control_callback_for_report_output_volume) (TfFutureCallContent *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_interface_audio_control_call_report_output_volume (TfFutureCallContent *proxy,
    gint timeout_ms,
    gint in_Volume,
    tf_future_cli_call_content_interface_audio_control_callback_for_report_output_volume callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_content_interface_media_signal_callback_codecs_changed) (TfFutureCallContent *proxy,
    GHashTable *arg_Updated_Codecs,
    const GArray *arg_Removed_Contacts,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_media_connect_to_codecs_changed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_media_signal_callback_codecs_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_media_signal_callback_new_codec_offer) (TfFutureCallContent *proxy,
    guint arg_Contact,
    const gchar *arg_Offer,
    const GPtrArray *arg_Codecs,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_media_connect_to_new_codec_offer (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_media_signal_callback_new_codec_offer callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_media_callback_for_update_codecs) (TfFutureCallContent *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_interface_media_call_update_codecs (TfFutureCallContent *proxy,
    gint timeout_ms,
    const GPtrArray *in_Codecs,
    tf_future_cli_call_content_interface_media_callback_for_update_codecs callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_content_interface_video_control_signal_callback_key_frame_requested) (TfFutureCallContent *proxy,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_video_control_connect_to_key_frame_requested (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_video_control_signal_callback_key_frame_requested callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_video_control_signal_callback_video_resolution_changed) (TfFutureCallContent *proxy,
    const GValueArray *arg_NewResolution,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_video_control_connect_to_video_resolution_changed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_video_control_signal_callback_video_resolution_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_video_control_signal_callback_bitrate_changed) (TfFutureCallContent *proxy,
    guint arg_NewBitrate,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_video_control_connect_to_bitrate_changed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_video_control_signal_callback_bitrate_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_video_control_signal_callback_framerate_changed) (TfFutureCallContent *proxy,
    guint arg_NewFramerate,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_video_control_connect_to_framerate_changed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_video_control_signal_callback_framerate_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_content_interface_video_control_signal_callback_mtu_changed) (TfFutureCallContent *proxy,
    guint arg_NewMTU,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_content_interface_video_control_connect_to_mtu_changed (TfFutureCallContent *proxy,
    tf_future_cli_call_content_interface_video_control_signal_callback_mtu_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

G_END_DECLS
