G_BEGIN_DECLS

typedef void (*tf_future_cli_channel_type_call_signal_callback_content_added) (TpChannel *proxy,
    const gchar *arg_Content,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_channel_type_call_connect_to_content_added (TpChannel *proxy,
    tf_future_cli_channel_type_call_signal_callback_content_added callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_channel_type_call_signal_callback_content_removed) (TpChannel *proxy,
    const gchar *arg_Content,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_channel_type_call_connect_to_content_removed (TpChannel *proxy,
    tf_future_cli_channel_type_call_signal_callback_content_removed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_channel_type_call_signal_callback_call_state_changed) (TpChannel *proxy,
    guint arg_Call_State,
    guint arg_Call_Flags,
    const GValueArray *arg_Call_State_Reason,
    GHashTable *arg_Call_State_Details,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_channel_type_call_connect_to_call_state_changed (TpChannel *proxy,
    tf_future_cli_channel_type_call_signal_callback_call_state_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_channel_type_call_signal_callback_call_members_changed) (TpChannel *proxy,
    GHashTable *arg_Flags_Changed,
    const GArray *arg_Removed,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_channel_type_call_connect_to_call_members_changed (TpChannel *proxy,
    tf_future_cli_channel_type_call_signal_callback_call_members_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_channel_type_call_callback_for_set_ringing) (TpChannel *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_channel_type_call_call_set_ringing (TpChannel *proxy,
    gint timeout_ms,
    tf_future_cli_channel_type_call_callback_for_set_ringing callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_channel_type_call_callback_for_accept) (TpChannel *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_channel_type_call_call_accept (TpChannel *proxy,
    gint timeout_ms,
    tf_future_cli_channel_type_call_callback_for_accept callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_channel_type_call_callback_for_hangup) (TpChannel *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_channel_type_call_call_hangup (TpChannel *proxy,
    gint timeout_ms,
    guint in_Reason,
    const gchar *in_Detailed_Hangup_Reason,
    const gchar *in_Message,
    tf_future_cli_channel_type_call_callback_for_hangup callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_channel_type_call_callback_for_add_content) (TpChannel *proxy,
    const gchar *out_Content,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_channel_type_call_call_add_content (TpChannel *proxy,
    gint timeout_ms,
    const gchar *in_Content_Name,
    guint in_Content_Type,
    tf_future_cli_channel_type_call_callback_for_add_content callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


G_END_DECLS
