G_BEGIN_DECLS

typedef void (*tf_future_cli_call_content_codec_offer_callback_for_accept) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_codec_offer_call_accept (gpointer proxy,
    gint timeout_ms,
    const GPtrArray *in_Codecs,
    tf_future_cli_call_content_codec_offer_callback_for_accept callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_content_codec_offer_callback_for_reject) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_content_codec_offer_call_reject (gpointer proxy,
    gint timeout_ms,
    tf_future_cli_call_content_codec_offer_callback_for_reject callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_stream_endpoint_signal_callback_remote_credentials_set) (TpProxy *proxy,
    const gchar *arg_Username,
    const gchar *arg_Password,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_stream_endpoint_connect_to_remote_credentials_set (gpointer proxy,
    tf_future_cli_call_stream_endpoint_signal_callback_remote_credentials_set callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_stream_endpoint_signal_callback_remote_candidates_added) (TpProxy *proxy,
    const GPtrArray *arg_Candidates,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_stream_endpoint_connect_to_remote_candidates_added (gpointer proxy,
    tf_future_cli_call_stream_endpoint_signal_callback_remote_candidates_added callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_stream_endpoint_signal_callback_candidate_selected) (TpProxy *proxy,
    const GValueArray *arg_Candidate,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_stream_endpoint_connect_to_candidate_selected (gpointer proxy,
    tf_future_cli_call_stream_endpoint_signal_callback_candidate_selected callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_stream_endpoint_signal_callback_stream_state_changed) (TpProxy *proxy,
    guint arg_state,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *tf_future_cli_call_stream_endpoint_connect_to_stream_state_changed (gpointer proxy,
    tf_future_cli_call_stream_endpoint_signal_callback_stream_state_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*tf_future_cli_call_stream_endpoint_callback_for_set_selected_candidate) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_stream_endpoint_call_set_selected_candidate (gpointer proxy,
    gint timeout_ms,
    const GValueArray *in_Candidate,
    tf_future_cli_call_stream_endpoint_callback_for_set_selected_candidate callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*tf_future_cli_call_stream_endpoint_callback_for_set_stream_state) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *tf_future_cli_call_stream_endpoint_call_set_stream_state (gpointer proxy,
    gint timeout_ms,
    guint in_State,
    tf_future_cli_call_stream_endpoint_callback_for_set_stream_state callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


G_END_DECLS
